--------------------------------------------------------------------------------
--------------------------------------------------------------------------------


local devolution = (-1 > 0)


local morphDefs = {

  -- metal extractors
  ametalextractorlvl1 = {
    into = 'ametalextractorlvl2',
    tech = 3
  },
  ametalextractorlvl2 = {
    into = 'ametalextractorlvl3',
    tech = 5
  },
  cmetalextractorlvl1 = {
    into = 'cmetalextractorlvl2',
    tech = 3
  },
  cmetalextractorlvl2 = {
    into = 'cmetalextractorlvl3',
    tech = 5
  },
  cradarlvl1 = {
	into = 'cradarlvl2',
	tech = 3
  },
  aradarlvl1 = {
	into = 'aradarlvl2',
	tech = 3
  },
}

--
-- Here's an example of why active configuration
-- scripts are better then static TDF files...
--

--
-- devolution, babe  (useful for testing)
--
if (devolution) then
  local devoDefs = {}
  for src,data in pairs(morphDefs) do
    devoDefs[data.into] = { into = src, time = 10, metal = 1, energy = 1 }
  end
  for src,data in pairs(devoDefs) do
    morphDefs[src] = data
  end
end


return morphDefs

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
